# Answer

set.seed(123321)
nrep <- 1000
b0 <- 0
bs <- c(0, 0.5, 1, 1.5)
ns <- c(50, 100, 200, 400)
ovresult <- NULL
for(k in 1:length(bs)){
	b1 <- bs[k]
	for(j in 1:length(ns)) {
		n <- ns[j]
		result <- matrix(NA, nrep, 3)
		for(i in 1:nrep) {
			x <- rnorm(n, 0, 1)
			fy <- b0 + b1*x
			p <- exp(fy)/(1 + exp(fy))
			y <- rep(NA, n)
			for(w in 1:n) y[w] <- rbinom(1, 1, p[w])
			dat <- data.frame(x = x, y = y)
			out <- glm(y ~ x, data = dat, family = binomial(link = "logit"))
			sumout <- summary(out)
			result[i,] <- sumout[["coefficients"]][2, c(1, 2, 4)]
		}
		result <- cbind(b1, n, result)
		ovresult <- rbind(ovresult, result)
	}
}
sig <- ovresult[,5] < 0.05
ovresult <- cbind(ovresult, sig)
colnames(ovresult) <- c("b", "n", "est", "se", "p", "sig")
dput(ovresult, "key7ex4.Rdata")
